toolkit/sync/sync-to-staging.sh

50 lines
1.3 KiB
Bash
Raw Normal View History

2021-07-05 06:50:25 +00:00
#!/bin/bash
2023-01-13 22:32:50 +00:00
# Short name (eg, NFV, extras, Rocky, gluster9)
SHORT=${1}
# Source common variables
2021-07-06 20:33:22 +00:00
# shellcheck disable=SC2046,1091,1090
source "$(dirname "$0")/common"
2021-07-08 02:54:12 +00:00
if [[ $# -eq 0 ]]; then
echo "You must specify a short name."
exit 1
fi
if [[ "${RLVER}" -ne "8" ]]; then
echo "This is only used for Rocky Linux 8 releases."
fi
2021-07-05 06:50:25 +00:00
# Major Version (eg, 8)
2021-07-08 02:54:12 +00:00
MAJ=${RLVER}
2023-05-13 20:44:17 +00:00
#cd "${RELEASE_COMPOSE_ROOT}/compose" || { echo "Failed to change directory"; ret_val=1; exit 1; }
cd "${RELEASE_COMPOSE_ROOT}/" || { echo "Failed to change directory"; ret_val=1; exit 1; }
2021-07-05 06:50:25 +00:00
ret_val=$?
2021-07-05 06:50:25 +00:00
if [ $ret_val -eq "0" ]; then
2021-07-06 20:16:01 +00:00
TARGET="${STAGING_ROOT}/${CATEGORY_STUB}/${REV}"
# The target should already exist as this is used to do simple syncs.
2021-07-06 20:16:01 +00:00
mkdir -p "${TARGET}"
# Find all directories for this compose
repo_dirs=( $(find compose -name repodata -type d | sed 's/compose\///g') )
# Delete all repodata for this compose
for x in "${repo_dirs[@]}"; do
test -d "${TARGET}/${x}"
ret_val=$?
if [ $ret_val -eq "0" ]; then
/bin/rm "${TARGET:?}/${x}/"*
else
echo "${x} not found"
fi
done
# We need to delete the old repodata
rsync_no_delete_staging_pungi "${TARGET}"
echo "Hardlinking staging directory (${TARGET})"
perform_hardlink "${TARGET}"
2021-07-05 06:50:25 +00:00
fi